Bug 729036 - Debuginfo package issues in glibc
Debuginfo package issues in glibc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andreas Schwab
qe-baseos-tools
:
Depends On:
Blocks: 727919
  Show dependency treegraph
 
Reported: 2011-08-08 11:20 EDT by Karel Klíč
Modified: 2016-11-24 10:39 EST (History)
3 users (show)

See Also:
Fixed In Version: glibc-2.12-1.36.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 12:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Klíč 2011-08-08 11:20:33 EDT
Several problems related to debuginfo were found in the glibc-2.12-1.25.el6 package. These issues might affect crash analysis done by Automatic Bug Reporting Tool and its retrace server, and also prevent proper debugging of crashes via GDB.

Debuginfo symbolic links pointing to another path
-------------------------------------------------
Debuginfo package includes a symbolic link to each binary that has the debugging symbols stored there. For glibc, four symbolic links do not point to the right binary, and that makes it impossible to use build ids from a coredump to get a list of packages required by it. Usually, this is a packaging error caused usually by placing identical binary into several locations instead of creating a symlink. If one copy of the binary is SUID/SGID, it is not possible to use symlink. You can add a dependency on bug #727872 and rebuild glibc when that bug is fixed.

- affected binary: /usr/libexec/getconf/POSIX_V7_ILP32_OFFBIG
  affected package: glibc-2.12-1.25.el6.i686
  referenced binary: /usr/bin/getconf
  referenced package: glibc-common-2.12-1.25.el6.i686
  debuginfo symlink: /usr/lib/debug/.build-id/4e/99868ce716ef54e60cc64212dd6ba843b54d3b
- affected binary: /usr/libexec/getconf/POSIX_V6_ILP32_OFF32
  affected package: glibc-2.12-1.25.el6.i686
  referenced binary: /usr/bin/getconf
  referenced package: glibc-common-2.12-1.25.el6.i686
  debuginfo symlink: /usr/lib/debug/.build-id/4e/99868ce716ef54e60cc64212dd6ba843b54d3b
- affected binary: /usr/libexec/getconf/POSIX_V6_ILP32_OFFBIG
  affected package: glibc-2.12-1.25.el6.i686
  referenced binary: /usr/bin/getconf
  referenced package: glibc-common-2.12-1.25.el6.i686
  debuginfo symlink: /usr/lib/debug/.build-id/4e/99868ce716ef54e60cc64212dd6ba843b54d3b
- affected binary: /usr/libexec/getconf/POSIX_V7_ILP32_OFF32
  affected package: glibc-2.12-1.25.el6.i686
  referenced binary: /usr/bin/getconf
  referenced package: glibc-common-2.12-1.25.el6.i686
  debuginfo symlink: /usr/lib/debug/.build-id/4e/99868ce716ef54e60cc64212dd6ba843b54d3b

This issue has been solved in Fedora by /usr/lib/rpm/find-debuginfo.sh creating additional symlinks for identical binaries. However, symlinks should be used instead of duplicating a binary when possible.

Debuginfo missing for binaries
------------------------------
A debuginfo file for a binary is not present in the debuginfo package. This might be caused by:
 - binary being compiled without debugging information
 - debugging information being removed from the binary by a build script
 - rpmbuild failing to extract debugging information from a binary in a buildroot because of permissions (eg. suid binaries, binaries without executable flag set)

affected binary: /usr/libexec/pt_chown
affected package: glibc-common-2.12-1.25.el6.i686
binary contains debug sections (debuginfo script failed to find/strip it)
affected binary file mode: 104711

This issue can be investigated by using eu-readelf tool from the elfutils package. Use `eu-readelf --notes /path/to/binary` to get build ID of a binary. Then check that the debuginfo package does not contain /usr/lib/debug/.build-id/<aa>/<bbbbbbbb>, where <aa> are the first two chars of the build ID, and <bbbbbbbb> is the rest of it. It should be a symlink pointing back to the binary.

(This bug was detected and filed by a script.)
Comment 4 errata-xmlrpc 2011-12-06 12:48:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html

Note You need to log in before you can comment on or make changes to this bug.